#!/usr/bin/env node

/**
 * Run app
 */
'use strict'

const { server } = require('../server')
const { DockerPorts, WebApps } = require('../server/constants')

void (async function() {
  const { port = WebApps.Default.PORT } = process.env

  await server.listen(port)
  console.log(`
  =============================
  
  Access to http://localhost:${DockerPorts.NGINX_CONTAINER_PORT} in your browser
  
  =============================
  `)
})().catch((err) => {
  console.error(err)
  process.exit(1)
})
