/**
 * Global keys
 * @enum {string} GlobalKeys
 */
'use strict'

const { isProduction } = require('@the-/check')
const theHash = require('@the-/hash')

module.exports = Object.freeze(
  /** @lends GlobalKeys */
  {
    /** Key of app */
    APP: 'app',
    /** Key of app context */
    CONTEXT: 'app.context',
    /** Key of app handle */
    HANDLE: 'app.handle',
    /** Key of app props */
    PROPS: 'app.props',
    /** Key of app store */
    STORE: 'app.store',
  },
)

if (!isProduction()) {
  module.exports = theHash.proxy(module.exports, {
    name: 'GlobalKeys',
    unknownCheck: true,
  })
}
