/**
 * Drawing configurations
 * @namespace Drawings
 */
'use strict'

const pkg = require('../../package')
const { Styles } = require('../../conf')

const FONT_THEME = 'c'

module.exports = Object.freeze(
  /** @lends Drawings */
  {
    appIcon: {
      text: pkg.name[0],
      font: FONT_THEME,
      shape: 'g',
      color: Styles.DOMINANT_COLOR,
    },
    fbAppIcon: {
      text: pkg.name,
      font: FONT_THEME,
      shape: 'a',
      color: Styles.DOMINANT_COLOR,
      size: 1024,
      fontSize: 128,
    },
    officialAccountIcon: {
      text: pkg.name,
      font: FONT_THEME,
      shape: 'a',
      color: Styles.DOMINANT_COLOR,
      size: 256,
      fontSize: 24,
    },
  },
)
