#!/usr/bin/env node
/**
 * Make sure people using `yarn install` on this project
 */
'use strict'

const path = require('path')
const red = (msg) => `\x1b[41m${msg}\x1b[0m`

const projectDir = path.resolve(__dirname, '../../')
const isLocalInstall = process.cwd() === projectDir
if (isLocalInstall) {
  const byYarn = /yarn/.test(process.env.npm_execpath)
  if (byYarn) {
    console.error(`
${red(
  '[NO_MORE_YARN]',
)} Do not \`yarn install\` for this project, just \`npm install.\` ( Because npm@6 works fast enough! )
 
`)
    process.exit(1)
  }
}
